Skip to content

Resolve the latest available exchange rate for a requested pair.

GET
/api/workspace/currency-rates/latest
curl --request GET \
--url https://example.com/api/workspace/currency-rates/latest \
--header 'Authorization: Bearer <token>'
FromCurrencyCode
string
ToCurrencyCode
string
Date
string format: date
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

OK

Media typeapplication/json
object
Data

Point exchange-rate lookup result.

object
FromCurrencyCode
string
nullable
ToCurrencyCode
string
nullable
RequestedDate
string format: date
EffectiveDate
string format: date
Rate
number format: double
RateType
integer format: int32
Allowed values: 0 1 2 3
IsFallback
boolean
Provenance

Exchange-rate provenance returned with lookup and catalog responses.

object
ProviderCode
string
nullable
RequestedDate
string format: date
EffectiveDate
string format: date
BaseCurrencyCode
string
nullable
QuoteCurrencyCode
string
nullable
RateType
integer format: int32
Allowed values: 0 1 2 3
FetchedAtUtc
string format: date-time
PublishedAtUtc
string format: date-time
nullable
IsFallback
boolean
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"RateType": 0,
"Provenance": {
"RateType": 0
}
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Bad Request

Media typeapplication/json
object
Data

Point exchange-rate lookup result.

object
FromCurrencyCode
string
nullable
ToCurrencyCode
string
nullable
RequestedDate
string format: date
EffectiveDate
string format: date
Rate
number format: double
RateType
integer format: int32
Allowed values: 0 1 2 3
IsFallback
boolean
Provenance

Exchange-rate provenance returned with lookup and catalog responses.

object
ProviderCode
string
nullable
RequestedDate
string format: date
EffectiveDate
string format: date
BaseCurrencyCode
string
nullable
QuoteCurrencyCode
string
nullable
RateType
integer format: int32
Allowed values: 0 1 2 3
FetchedAtUtc
string format: date-time
PublishedAtUtc
string format: date-time
nullable
IsFallback
boolean
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"RateType": 0,
"Provenance": {
"RateType": 0
}
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Unauthorized

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}